Issue filter by assigned_to_role is not project specific

2011-11-08 13:18 - Tobias as

Status: Closed Start date: 2011-11-08

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version:  

Description

When I Filter by Role, the filter selects assign_to - User with the system wide Role, rather than selecting those users who have the

role in this project, as i would assume.

Associated revisions

Revision 7847 - 2011-11-19 16:11 - Jean-Philippe Lang

Fixed: Issue filter by assigned_to_role is not project specific (#9540).

History

#1 - 2011-11-08 17:03 - Etienne Massip

There is no system wide role for a user, AFAIK?

#2 - 2011-11-09 17:37 - Mischa The Evil

Etienne Massip wrote:

There is no system wide role for a user, AFAIK?

 AFAIK only the two system roles have system wide effects. Though, this does seems not related to this issue as far as I understand the question...

Tobias, please provide some more info and/or a use-case description about this "defect". See submissions for some guidelines.

#3 - 2011-11-09 17:52 - Tobias as

the issues lies in

app/models/query.rb

method

sql_for_assigned_to_role_field

line 630

user_ids << role.members.collect(&:user_id)

somehow we have to collect those user_ids, that have this specific role/roles in the specific project, we are filtering in,

not those users that have the role in any project.

I hope you understand what I mean.

#4 - 2011-11-09 18:45 - Etienne Massip

- Target version set to Candidate for next minor release

Ok, now I understand.

#5 - 2011-11-19 14:56 - Jean-Philippe Lang

- Subject changed from Issue-Filter by assigned_to_role is not Project specific to Issue filter by assigned_to_role is not project specific

- Status changed from New to Confirmed

#6 - 2011-11-19 15:32 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 1.3.0
#7 - 2011-11-19 16:11 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Fixed in r7847.
